import {Component, OnInit} from '@angular/core';
import {PiwikHelper} from '../../utils/piwikHelper';
import {ConnectHelper} from '../../openaireLibrary/connect/connectHelper';
import {properties} from "../../../environments/environment";

@Component({
  selector: 'openaire-orp',
  template: `
    <result-landing type="orp" [piwikSiteId]="piwikSiteId" [communityId]="communityId"></result-landing>
  `,
})

export class OpenaireOrpComponent implements OnInit {
  piwikSiteId = null;
  communityId = null;
  
  constructor() {}
  
  ngOnInit() {
    this.communityId = ConnectHelper.getCommunityFromDomain(properties.domain);
    this.piwikSiteId = PiwikHelper.getSiteId(this.communityId);
  }
}
